TCLAP::ExitException Class Reference

Thrown when TCLAP thinks the program should exit. More...

`#include <ArgException.h>`

## Public Member Functions

| ExitException (int estat)
int | getExitStatus () const

## Detailed Description

Thrown when TCLAP thinks the program should exit.

For example after parse error this exception will be thrown (and normally caught). This allows any resource to be clened properly before exit.

If exception handling is disabled (CmdLine::setExceptionHandling), this exception will propagate to the call site, allowing the program to catch it and avoid program termination, or do it's own cleanup. See for example, https://sourceforge.net/p/tclap/bugs/29.

Definition at line 200 of file ArgException.h.

## Constructor & Destructor Documentation

## ExitException()

TCLAP::ExitException::ExitException | ( | int | estat | ) |

inline

Definition at line 202 of file ArgException.h.

## Member Function Documentation

## getExitStatus()

int TCLAP::ExitException::getExitStatus | ( |  | ) | const

inline

Definition at line 204 of file ArgException.h.

Referenced by TCLAP::CmdLine::parse().

The documentation for this class was generated from the following file:

- ArgException.h